package com.chelvc.cloud.vehicle.server.task;

import com.chelvc.cloud.vehicle.api.service.RankAwardRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 排行榜奖励发送
 */
@Slf4j
@Component
@EnableScheduling //开启定时任务
public class RankAwardTask {

    @Autowired
    RankAwardRecordService rankAwardRecordService;

    /**
     * 月榜
     */
    @Scheduled(cron = "0 0 5 1 * ?") //每月第一天凌晨5点
    public void awardRank(){
        log.info("触发发送商家月排行榜奖励定时任务==============");
        rankAwardRecordService.awardRank();
    }
}
